/**
 * 拼装参数
 * @param guid
 * @param paramInfo
 * @param path
 * @param tempToken
 * @returns {{time: number, version: string, guid: *, param, signature: *}}
 */
function param(guid, paramInfo, path, tempToken) {

    // 计算时间戳
    var timestamp = Date.parse(new Date());
    var time = timestamp / 1000;

    // 定义版本
    var version = '1.0';

    // 判断guid是否存在
    if (guid === '' || guid === undefined) {
        guid = 'ff0340e9ccab0aca99b07185b3286a28';
    }

    // 判断tempToken是否存在
    if (tempToken === '' || tempToken === undefined) {
        tempToken = 'cbc2017';
    }

    // 提交的数据
    var obj = paramInfo;
    var param = JSON.stringify(obj);

    // 计算签名
    var num = path + time + guid + param + tempToken;
    var signature = window.md5(num);

    return {'time':time,'version':version,'guid':guid,'param':param,'signature':signature}
}

/**
 * 计算签名
 * @returns {string}
 */
function tempTokenParam() {
    var token = localStorage.getItem('token');
    var hashs = [
        [2, 8, 19, 25, 30, 31],
        [31, 20, 3, 25, 4, 8],
        [25, 31, 0, 9, 13, 17],
        [29, 2, 11, 17, 21, 26],
        [10, 15, 18, 29, 2, 3],
        [5, 10, 15, 17, 18, 22],
        [9, 0, 5, 2, 15, 28],
        [8, 20, 22, 27, 19, 21],
    ];

    var temp = '';
    temp += token.substr(3,1);
    temp += token.substr(2,1);
    temp += token.substr(7,1);

    var num = parseInt(temp,16);
    var num = num % 8;

    var test = hashs[num];
    var tempToken = '';
    for (v in test) {
        tempToken += token.substr(test[v],1);
    }

    return tempToken;
}